advertisement

Fourier Analysis, Stein and Shakarchi Chapter 2 Basic Properties of Fourier Series Yung-Hsiang Huang∗ 2018.03.12 Abstract Notation: T := [−π, π]. Note that we provide a proof for Big-O Tauberian theorem for Cesáro sum in Exercise 14 which is much easier than the one for Abel sum. Exercises 1. Trivial. 2. Easy. 3. Easy to see the Fourier series for the initial condition f in plucked string problem converge absolutely and uniformly by Weierstrass M -test. So the uniqueness theorem implies the series equal to f everywhere (check page 17). 4. By computing the Fourier coefficients of the 2π-periodic odd function defined on [0, π] by f (x) = x(π − x) and using the convergence and uniqueness theorem, one can show that f (x) = 8 X sin kx . π k≥1, odd k 3 Note that this result and the Parseval’s identity can be applied to compute the Riemann zeta function ζ(z) at z = 6. See Exercise 3.8(b). 5. As Exercise 4, one can show that the tent map f (x) = (1 − |x|/δ)+ on [−π, π] equals to its the Fourier series, that is, ∗ ∞ X 1 − cos nδ δ +2 cos nx. f () = 2π n2 πδ n=1 Department of Math., National Taiwan University. Email: d04221001@ntu.edu.tw 1 6. Similarly, one can show the following identities by considering the Fourier series of f (x) = |x| ∞ X 1 1 π2 π2 and = = . n2 8 n2 6 n=1 n≥1, odd X 7. Discrete summation by parts formula and the proofs for Dirichlet’s and Abel’s test are standard. 1 2i 8. Verify that P n6=0 einx n is the Fourier series of the 2π-periodic sawtooth function illustrated in Figure 6, defined by f (0) = 0, f (x) = − π2 − f (x) = π 2 − x 2 x 2 if −π < x < 0, and if 0 < x < π. Note that this function is not continuous. Show that nevertheless, the series converges for every x (by which we mean, as usual, that the symmetric partial sums of the series converge). In particular, the value of the series at the origin, namely 0, is the average of the values of f (x) as x approaches the origin from the left and the right. Proof. It’s easy to compute fb(n) = 1 n if n 6= 0 and fb(0) = 0. Then we can apply the Abel- Dirichlet test to show the series converges for every x 6= 0. Note that for x = 0, the symmetric partial sum is always zero. Remark 1. There are two ways to compute the limit of series, see Problem 3 and its remark. Also take a look at Problem 3.1 and its remark. 9. Let f (x) = χ[a,b] (x) be the characteristic function of the interval [a, b] ⊆ [−π, π]. (a) Show that the Fourier series of f is given by f (x) ∼ b − a X e−ina − e−inb inx + e . 2π 2πin n6=0 (b) Show that if a 6= −π or b 6= π and a 6= b, then the Fourier series does not converge absolutely for any x. 2 (c) However, prove that the Fourier series converges at every point x. What happens if a = −π and b = π? Proof. (a) is standard, we omit it. (b) Standard computations shows that X e−ina − e−inb ) 2 X sin(n b−a inx 2 e |= | |, | 2πin π n>0 n n6=0 where θ0 := b−a 2 < π by the assumption. So we can find c > 0 such that π − θ0 > 2 sin−1 c. Note that for each k ∈ N, we can find a nk ∈ N such that nk θ0 ∈ ((k −1)π +sin−1 c, kπ −sin−1 c) =: Ik since if mθ0 ∈ ((k − 1)π − sin−1 c, (k − 1)π + sin−1 c), then (m + 1)θ0 ∈ Ik , and if mθ0 ∈ (kπ − sin−1 c, kπ + sin−1 c), then (m − 1)θ0 ∈ Ik . (This is why we take 2 sin−1 c instead of sin−1 c in the beginning.) Also note that (1) Ik ∩ Ij = ∅, so nk 6= nj if k 6= j; (2) | sin nk θ0 | ≥ c for all k; (3) nk ≤ P −ina −e−inb Hence n6=0 | e 2πin einx | = ∞ for all x since X | sin(nθ0 )| n>0 n ≥ ∞ X | sin(nk θ0 )| k=1 nk ≥ ∞ X c πk k=1 θ0 kπ . θ0 ∞ θ0 X 1 = = ∞. cπ k=1 k P P in(x−a) 1 ein(x−a) −ein(x−b) (c) Note that the series is 2πi . If x 6∈ {a, b}, then both n6=0 e n and n6=0 n P ein(x−b) are convergent by Abel-Dirichlet Test. If x = a, then the ”symmetric” partial n6=0 n P 1 −ein(a−b) sum is 2πi , which converges as N → ∞ by Abel-Dirichlet Test since a 6= b. 0<|n|≤N n Similar argument can be applied to the case x = b. Finally, in this case a = −π and b = π, the coefficients in series are 0. 10. When f is smoother, fˆ decays faster. (The big-o can be improved to little-o by RiemannLebesgue Lemma, see Exercise 3.13). 11. L1 (T) convergence of fk implies uniform convergence of fˆk (i.e., C(Z)) 12. The proof for convergent series is Cesàro summable is standard. 13. It’s intuitive to see that Abel summability is stronger than the standard or Cesàro methods of summation because of the regularization effects of multiplying rn is much stronger than taking the average of those partial sums. The purpose of this exercise is to prove this intuition. P P (a) Show that cn = σ implies that cn = σ (Abel). 3 (b) However, show that there exist series which are Abel summable, but that do not converge. (c) Argue similarly to prove that if a series P cn = σ (Cesàro), then P cn = σ (Abel) [Hint: Note that ∞ X cn rn = (1 − r)2 X nσn rn n=1 n=1 and assume σ = 0.] (d) Give an example of a series that is Abel summable but not Cesàro summable. [Hint: Try cn = (−1)n−1 n, which is highly oscillated. Note that if {cn } is Cesàro cn n summable, then tends to 0.] Proof. Although (a) is a consequence of Exercise 12 and (c), we provide a direct proof here. May assume σ = 0. Note that for each 0 < r < 1 and N ∈ N, N X cn r n = n=1 N X (sn − sn−1 )rn = (1 − r) n=1 Passing N → ∞, we have N X sj rj + sN rN +1 j=1 ∞ X n cn r = (1 − r) n=1 ∞ X sj r j j=1 Given > 0. Since σ = 0, the series in the right-hand side converges absolutely and hence ∞ X n cn r = (1 − r) n=1 M X j sj r + (1 − r) j=1 ∞ X sj r j , M +1 where M is chosen so that |sj | < for all j > M . Note that the absolute value of second term is less than rM +1 < . And the first term is less than provided r is close to 1. P 1 n (b) The example is ∞ n=0 (−1) which is not convergent but converges to 2 in Abel’s sense. (c) May assume σ = 0. Note that for each 0 < r < 1 and N ∈ N, N X N N X X n cn r = (sn − sn−1 )r = (nσn − 2(n − 1)σn−1 + (n − 2)σn−2 )rn n n=1 = (1 − r)2 n=1 N X n=1 nσn rn − N σN rN +2 + (2N σN − (N − 1)σN −1 )rN +1 n=1 Passing N → ∞, we have (by L’Hôpital’s rule) ∞ X n 2 cn r = (1 − r) n=1 ∞ X j=1 4 jσj rj Given > 0. Since σ = 0, the series in the right-hand side converges absolutely and hence ∞ X n cn r = (1 − r) 2 n=1 M X j 2 jσj r + (1 − r) j=1 ∞ X jσj rj , M +1 where M is chosen so that |σj | < for all j > M . Note that the absolute value of second term is less than rM +1 < . And the first term is less than provided r is close to 1. P x n−1 n (d) It’s standard to show that ∞ x = (1+x) 2 . We also note that if {cn } is Cesáro n=1 n(−1) summable, then we have a contradiction that (−1)n = nσn − (n − 1)σn−1 σn−1 cn = = σn − σn−1 + → 0, as n → ∞. n n n Exercise 13 says that ”Convergent ⇒: Cesàro summable ⇒: Abel summable.” 14. This exercise deals with a theorem of Tauber which says that under an additional condition on cn , the above arrows can be reversed. P P (a) If cn = σ (Cesàro) and cn = o(1/n), then cn = σ. (b) The above statement holds if we replace Cesàro summable by Abel summable. PN P 1 n [Hint: Estimate the difference between N n=1 cn r where r = 1 − N .] n=1 cn and P n . (c)-(d) are from Rudin [4, Exercise 3.14]. Recall that sn = nj=1 cj and σn = s1 +···+s n P (c) Can it lim supN →∞ sN = ∞ but cj = 0 (Cesàro)? (d) Prove (a) under a weaker assumption cn = O(1/n). Also see Problem 4.5. [Hint: Say, |ncn | ≤ M . If m < n, then n X m+1 1 sn − σ n = (σn − σm ) + (sn − sj ). n−m n − m j=m+1 For these i, |sn − si | ≤ (n − i)M (n − m − 1)M ≤ . i+1 m+2 Fix > 0 and associate with each n the integer m that satisfies m≤ n− < m + 1. 1+ Then (m + 1)/(n − m) ≤ 1/ and |sn − si | < M . Hence lim sup |sn − σ| ≤ M . n→∞ Since is arbitrary, lim sn = σ.] (e) We will also prove (b) under a weaker assumption cn = O(1/n) in Problem 3. 5 P P Pn Proof. (a) n(sn − σn ) = nsn − nj=1 sj = nsn − nj=1 (j − (j − 1))sj = j=1 (j − 1)sj − Pn−1 Pn−1 Pn−1 j=1 jsj = k=1 k(sk+1 − sk ) = k=1 kck . Therefore given > 0, there is N1 such that |kak | < if k > N1 . So there is some N2 () such that N1 n−1 n−1 1X 1X 1 X |sn − σn | = | kck | ≤ |kck | + |kck | ≤ 2, n k=1 n k=1 n k=N +1 1 whenever n > N2 (). (b) Given > 0, there is N = N () such that n|cn | ≤ whenever n > N . Consider rn = 1− 1 n → 1− as n → ∞. Note that supn∈N n|cn | =: M < ∞, so for n sufficently large, |sn − Arn | ≤ N X rnj ) |cj |(1 − ∞ X + j=1 rnj |cj | j=N +1 ∞ X 1 j rnj ≤ |cj |(1 − (1 − ) ) + n j j=1 j=N +1 n X N X (1 − n1 )N +1 MN j + ≤ 2. ≤ |cj | + 1 ≤ n n 1 − (1 − n ) n j=1 (c) An example is sn = 2−n if n 6∈ 2N and s2m = m whenever m ∈ N. Then lim supn→∞ sn = ∞. However 0 ≤ σn < 2−m ( (m+1)m + 2) if 2m ≤ n < 2m+1 . So σn → 0. 2 (d) We first prove an identity similar to the hint: for n > m, n X nσn − mσm − (n − j + 1)aj j=m+1 = n X (n − j + 1)aj − j=1 = (n − m) m X (m − j + 1)aj − j=1 m X n X (n − j + 1)aj j=m+1 aj = (n − m)sm j=1 So sm − σm = n n−m σn − σm − 1 n−m Pn j=m+1 (n − j + 1)aj =: I − II. Now we estimate II as integral test, that is, (with supn∈N n|cn | =: M < ∞) n n X M 1 M (n + 1) X 1 1 (n + 1 − j) = − n − m j=m+1 j n − m j=m+1 j n + 1 Z M (n + 1) n dt ≤ − M. n−m m t n n+1 n So |sm − σm | ≤ n−m |σn − σm | + M n−m log m −1 . |II| ≤ Given > 0, by Cesáro summability, there is N such that |σn − σm | < 2 if n, m > N . Note that (1 − ) ≤ n−m ≤ ⇔ (1 + − 2 )m ≤ n ≤ (1 + )m m 6 So n n−m < n+1 n−m =1+ m m+1 n−m m ≤1+ 1 (1 (1−) + 1 ) m <1+ 1+ (1−) if m > 1 and hence 1+ 2 1+ ) + M (1 + ) log(1 + ) − 1 (1 − ) (1 − ) 1+ 2 ≤ 2 + 2 + M ( + − 1) = 2 + (2 + M + ), 1− 1− |sm − σm | ≤ (1 + whenever m > max( 1 , N ). Remark 2. Another proof for (d), via delay means, is given in Problem 4.5. 15. We omit the basic computation for showing the Fejér kernel equals to FN (x) = 1 sin2 (N x/2) . N sin2 (x/2) c d d This result can also be predict from the graph of Fc N , that is, FN = cDM ∗ DM for some c, M . I learned this perspective from [5, page 9]. 16. Prove the Weierstrauss approximation theorem by Fejér’s theorem (Corollary 5.4). Proof. Extend f from [a, b] to [a, c] continuously so that f (a) = f (c). So there is Q(x) = PN ikx such that kQ − f k < 2 . Note that those finitely many eikx can be approximate k=M ak e by polynomial uniformly. 17. In Section 5.4 we proved that the Abel means of f converge to f at all points of continuity, that is, lim Ar(f )(θ) = lim− (P r ∗ f )(θ) = f (θ) r→1− r→1 whenever f is continuous at θ. In this exercise, we will study the behavior of Ar (f )(θ) at certain points of discontinuity. An integrable function is said to have a jump discontinuity at θ if the two limits lim f (θ + h) = f (θ+) and lim− f (θ + h) = f (θ−) h→0+ h→0 exist. (a) Prove that if f has a jump discontinuity at θ, then lim− Ar (f )(θ) = r→1 f (θ+) + f (θ−) . 2 (b) Using a similar argument, show that if f has a jump discontinuity at θ, the Fourier series of f at θ is Cesáro summable to 7 f (θ+)+f (θ−) . 2 Proof. (a) Since Pr (t) = Pr (−t) ≥ 0 and Rπ P = 1, we have −π r Rπ 0 Pr = R0 −π Pr = 1 2 for all r < 1. Given > 0, there is δ = δ() > 0 such that |f (θ − t) − f (θ−)| < and |f (θ + t) − f (θ+)| < for all 0 < t < δ. So Z π f (θ+) + f (θ−) f (θ+) + f (θ−) Ar (f )(θ) − = f (θ − t)Pr (t) dt − 2 2 −π Z π f (θ+) + f (θ−) f (θ − t)Pr (t) dt − = 2 −π Z 0 Z π [f (θ − t) − f (θ−)]Pr (t) dt [f (θ + t) − f (θ+)]Pr (t) dt + = −π 0 π Z =( Z Z −δ )[f (θ + t) − f (θ+)]Pr (t) dt + ( + δ δ 0 )[f (θ − t) − f (θ−)]Pr (t) dt + −π 0 Z −δ =: I + II + III + IV It’s easy to see |II|, |IV | < for all r < 1. Since Poisson kernel on the unit disc is a good kernel, (θ−) there is R = R(δ) = R() < 1 such that |I|, |III| < if r > R. So |Ar (f )(θ) − f (θ+)+f | < 4 2 if r > R(). (b) Same proof as (a) except Pr is replaced by FN . Remark 3. See Problem 3 and its remark to derive the Fourier series converges to f (θ+)+f (θ−) . 2 18. This is an example mentioned in Remark of Theorem 5.7. If Pr (θ) denotes the Poisson kernel, show that the function u(r, θ) = ∂Pr , ∂θ defined for 0 ≤ r < 1 and θ ∈ R, satisfies: (i) ∆u = 0 in the disc. (ii) limr→1 u(r, θ) = 0 for each θ. (iii) u does not converges to 0 uniformly as r → 1. However, u is not identically zero. Proof. Direct computation. Note u(x, y) = 2y(x2 +y 2 −1) . ((1−x)2 +y 2 )2 So u(1 − , ) → −∞ as → 0+ . 19. Solve Laplace’s equation ∆u = 0 in the semi infinite strip S = {(x, y) : 0 < x < 1, 0 < y}, subject to the following boundary conditions u(0, y) = 0 = u(1, y) when 0 ≤ y, u(x, 0) = f (x) when 0 ≤ x ≤ 1, 8 where f is a given C α function (α > 21 , see Exercise 3.16), with f (0) = f (1) = 0. Write f (x) ” = ” ∞ X an sin(nπx) n=1 and expand the general solution in terms of the special solutions given by un (x, y) = e−nπy sin(nπx). Express u as an integral involving f , analogous to the Poisson integral formula. Proof. Note that for y > 0 and x ∈ [0, 1], the series P∞ n=1 e−nπy sin(nπx) sin(nπz) converges uniformly on z ∈ [0, 1] by Weierstrass M -Test. So u(x, y) := ∞ X an e −nπy sin(nπx) = n=1 1 Z = 0 ∞ X −nπy e Z 1 f (z) sin(nπz) dz sin(nπx)2 n=1 0 Z ∞ X −nπy f (z) 2 e sin(nπx) sin(nπz) dz =: 1 f (z)Φy (x, z) dz 0 n=1 First we note that u(x, y) did solve the problem. Second we have Φy (x, z) = = = = ∞ o 2 X −nπy n inπ(x+z) e (e + e−inπ(x+z) ) − (einπ(x−z) + e−inπ(x−z)) ) −4 n=1 o 1 1 1 1 −1 n + − − 2 1 − eπ[−y+i(x+z)] 1 − eπ[−y−i(x+z)] 1 − eπ[−y+i(x−z)] 1 − eπ[−y−i(x−z)] o −1 n 2 − e−πy (eiπ(x+z) + e−iπ(x+z) ) 2 − e−πy (eiπ(x−z) + e−iπ(x−z) ) − 2 1 − e−πy (eiπ(x+z) + e−iπ(x+z) ) + e−2πy 1 − e−πy (eiπ(x−z) + e−iπ(x−z) ) + e−2πy 1 − e−πy cos π(x + z) 1 − e−πy cos π(x − z) − . 1 − 2e−πy cos π(x − z) + e−2πy 1 − 2e−πy cos π(x + z) + e−2πy Remark 4. Note that this computation is the same as the one for computing Pr (θ) if one use odd extension from (0, 1) to (−1, 1). Also note there is no zero-th order ω 0 = 1 in this result which exists in Pr , this is why the denomiator 1 − e−πy cos t. 20. Consider the Dirichlet problem in the annulus defined by {(r, θ) : ρ < r < 1}, where 0 < ρ < 1 is the inner radius. The problem is to solve ∂ 2 u 1 ∂u 1 ∂ 2u + + =0 ∂r2 r ∂r r2 ∂θ2 subject to the boundary conditions u(1, θ) = f (θ), u(ρ, θ) = g(θ), where f and g are given continuous functions. 9 Arguing as we have previously for the Dirichlet problem in the disc, we can hope to write u(r, θ) = X cn (r)einθ with cn (r) = An rn + Bn r−n , n 6= 0. Set f (θ) ∼ X an einθ and g(θ) ∼ X bn einθ . We want cn (1) = an and cn (ρ) = bn . This leads to the solution u(r, θ) := X n6=0 log r 1 [((ρ/r)n − (r/ρ)n )an + (rn − r−n )bn ]einθ + a0 + (b0 − a0 ) . n −n ρ −ρ log ρ Show that as a result we have u(r, θ) − (Pr ∗ f )(θ) → 0 as r → 1 uniformly in θ, and u(r, θ) − (Pρ/r ∗ g)(θ) → 0 as r → ρ uniformly in θ. Proof. First we confirm the absolute convergence of the series u1 (r, θ) := X ( ρ )n − ( ρ )−n r r ρn − ρ−n n6=0 an einθ and uρ (r, θ) := X rn − r−n ρn − ρ−n n6=0 bn einθ so that u =: u1 + uρ + u0 is confirmed to be well-defined. This is a consequence that n o 1 sup |an |, |bn | ≤ max kf kL1 (T) , kgkL1 (T) 2π n and for each n 6= 0 2 ρ 2|n| − 1 r|n| (1 − ρ ) ( ρr )n − ( ρr )−n ρ 2 ρ 2|n|−2 ρ2 |n| |n| |n| ( r ) r2 | n | = r = 1 + ( ) + · · · + ( ) ≤ (1 − ) r ρ − ρ−n ρ2|n| − 1 1 − ρ2|n| r r r2 1 − r2 (1) | ρ |n| 1 − r2|n| ρ |n| (1 − r2 )(1 + r2 + r4 + · · · + r2|n|−2 ) ρ |n| 1 − r2 rn − r−n | = = ≤ |n| . ρn − ρ−n r 1 − ρ2|n| r 1 − ρ2 r 1 − ρ2 (2) 10 Note that the above method to derive the estimates also imply u is harmonic on the annual. We omit the details. To check it did satisfy the boundary condition, it’s enough to show the rest assertions. To arrive this, we first show uρ → 0 and u1 + u0 − Pr ∗ f → 0 as r → 1 uniformly in θ. Note that the uρ part is a consequence of (2). For 1 − δ < r < 1 and n 6= 0, h |n| −2|n| ( ρr )n − ( ρr )−n − 1] r|n| ρ2|n| 1 1 1 1 i |n| |n| ρ [r − r = r = − 1 1 + + + · · · ρn − ρ−n ρ−|n| − ρ|n| 1 − ρ2|n| r2 r2 r4 r2|n|−2 r−2 − 1 ρ2|n| ≤ |n| . 1 − ρ2 (1 − δ)2|n|−2 In particular we pick 1 − δ > ρ so that the majorant series of u1 + u0 − Pr ∗ f converges (by ratio test) and hence bounded by a multiple (independent of θ) of r−2 − 1. This proves that u1 + u0 − Pr ∗ f → 0 as r → 1 uniformly in θ. Finally, we show that u1 → 0 and uρ + u0 − Pρ/r ∗ f → 0 as r → ρ uniformly in θ. Note that the u1 part is a consequence of (1). For ρ < r < 1 and n 6= 0, ρ |n| r2|n| − ρ2|n| ρ |n| ρ|n| r|n| ρ2 h ρ 2 ρ 4 ρ 2|n|−2 i rn − r−n − ( ) = = (1 − ) 1 + ( ) + ( ) + · · · ( ) ρn − ρ−n r r 1 − ρ2|n| 1 − ρ2|n| r2 r r r 2 1 − ρr2 |n| ρ |n|. ≤ 1 − ρ2 So the majorant series of u1 + u0 − Pρ/r ∗ f converges (by ratio test) and hence bounded by a multiple (independent of θ) of 1 − ρ2 r−2 . This proves that u1 + u0 − Pρ/r ∗ f → 0 as r → ρ uniformly in θ. Problems 1. One can construct Riemann integrable functions on [0, 1] that have a dense set of discontinuities as follows. (a) Let f (x) = 0 when x < 0 and f (x) = 1 if x ≥ 0. Choose a countable dense sequence {rn } in [0, 1]. Then, show that the function F (x) = ∞ X 1 f (x − rn ) 2 n n=1 is integrable and discontinuous precisely at each rn . [Hint: F is monotonic and bounded.] 11 (b) Consider next F (x) = ∞ X 3−n g(x − rn ) n=1 where g(x) = sin(1/x) when x 6= 0, and g(0) = 0. Then F is integrable, discontinuous precisely at each x = rn , and fails to be monotonic in any subinterval of [0, 1]. [Hint: P Use the fact that 3−k > n>k 3−n .] (c) The original example of Riemann is the function F (x) = ∞ X (nx) n=1 n2 where (x) = x for x ∈ (−1/2, 1/2] and extended to R by periodicity, that is, (x + 1) = (x). It can be shown that F is discontinuous whenever x ∈ D := { 2k+1 |k, m ∈ Z, m 6= 0} 2m and continuous at R − D. Moreover, F is Riemann-integrable on every bounded interval. (d) If the above (nx) is replace by {nx}, where {nx} is the fractional part of nx (that is, {z} := z if z ∈ [0, 1) and then extend periodically), then we have F is discontinuous precisely at Q. Remark 5. Are the functions F in (c)(d) monotone? Proof. We may assume all rn are distinct (why?) (a) For every x ∈ [0, 1], the series converges and is less than P∞ 1 n=1 n2 < ∞, so F is well-defined and bounded. The integrability can be easily proved from the obvious monotonicity of F . The continuity on [0, 1] \ {rn }n∈N and discontinuity on {rn }n∈N can be proved similarly to the cases for the popcorn function (note that F (rn +) − F (rn −) ≥ 1 ). n2 Remark 6. Another proof for discontinuity at rn is a contradiction proof, that is, suppose F is continuous at rn , then with the advantage of uniform convergence we know the function P Fn = j6=n j12 f (x − rj ) is continuous at rn . So n12 f (x − rn ) = F (x) − Fn (x) is continuous at rn , which is a contradiction. This method can be applied to (b) too. (b) Since the Riemann integrability, continuity and discontinuity of F can be proved as (a), we only prove the last assertion here. Given I ⊆ [0, 1], by the density of {rj }j there is some rk and an interval Ik0 such that rk ∈ Ik0 ⊆ Ik Pk−1 −n and r1 , r2 , · · · , rk−1 6∈ Ik0 . So Fk (x) = g(x − rn ) is continuous on Ik0 , and hence n=1 3 |Fk | ≤ 3−k 100 in some small neighboorhood Jk of rk . 12 Note that 3−k = 2 P∞ j=k+1 3−j and −k F (x) = Fk (x) + 3 g(x − rk ) + ∞ X 3−j g(x − rj ). j=k+1 So for any neighborhood J ⊆ Jk of rk , we can find z < w < z 0 such that g(z−rk ) = 1 = g(z 0 −rk ) P P −k −k and −1 = g(w − rk ) so F (z) ≥ − 3100 + 3−k − j=k+1 3−j > 3100 − 3−k + j=k+1 3−j ≥ F (w) and similarly F (z 0 ) > F (w). We prove (d) first to explain our idea clearly. Since FN (x) = PN n=1 {nx} n2 is Riemann integrable for each N ∈ N and converges to F (x) uniformly on every bounded interval (by Weierstrass M -test), F is Riemann-integrable on every bounded interval. Also, the continuity of F on R − Q will be a consequence of the continuity of FN and hence of {nx} n2 on R − Q for each n ∈ N which can be easily proved. Now we examine that F is discontinuous at any z ∈ Q, say z = pq , where gcd(p, q) = 1. Note P {(kq+r)x} that the convergence of the series F (x) and fr (x) := ∞ k=0 (kq+r)2 for each 1 ≤ r ≤ q imply F (x) = q X fr (x). r=1 We are done if we prove fr is continuous at For every x ∈ ( pq − 1 p , ), 4q q fq (x) = p q if 1 ≤ r < q and fq has a discontinuity at pq . that is, qx ∈ (p − 14 , p), we have {qx} > ∞ X {jqx} j=1 j 2q2 3 4 and hence ∞ 3 1 X 1 1 7 π2 p > 2− 2 = ( − ) > 0 = fq ( ). 2 2 4q q j=2 j q 4 6 q Therefore fq is discontinuous at pq . For 1 ≤ r < q, one notes that for each k ≥ 0 the map x 7→ {(kq + r)x} is continuous at (kq + r) pq = kp + rp q 6∈ Z. Hence fr is continuous at p q p q since by the uniform convergence of its series. Finally, in (c), we change the notations (·) to [·] and F (x) to G(x) for notational convenience. P [nx] For G(x) := ∞ n=1 n2 the Riemann-integrability and continuity are proved as (d). Now we examine that G is discontinuous at any z ∈ D, say z = p , 2q where gcd(p, q) = 1, p is P [(kq+r)x] odd. Note that the absolute convergence of the series G(x) and gr (x) := ∞ k=0 (kq+r)2 imply G(x) = q X gr (x). r=1 We are done if we prove gr is continuous at p 1 For every x ∈ ( 2q , 2q + gq (x) = p ), 2q p 2q p . 2q that is, qx ∈ ( p2 , p+1 ), we have [qx] < 0 since p is odd. Hence 2 ∞ ∞ ∞ 1 X 1 1 π2 1 π2 1 π2 1 X 1 X 1 p < 2 = 2 ( −1) < 2 ( − 2 ) = 2 ( − ) = gq ( ). 2 2 2 2 2 j q 2q j=2 j 2q 6 2q 6 2 6 2q j=1 j j=1 (2j) 2q ∞ X [jqx] j=1 if 1 ≤ r < q and gq has a discontinuity at 13 Therefore gq is discontinuous at pq . For 1 ≤ r < q, one notes that for each k ≥ 0 the map x 7→ [(kq + r)x] is continuous at p 2q since p p (kq + r) 2q 6∈ Z + 12 (if (kq + r) 2q ∈ Z + 12 , then kp + rp = (kq + r) pq ∈ Z which is a contradiction). q Hence gr is continuous at p 2q by the uniform convergence of its series. Remark 7. Another construction us the so-called popcorn function. More interestingly, there is no functions which are precisely continuous at the rational. One can prove this by using Baire Category Theory, see Exercise 4.6 of Book IV. 2. Let DN denote the Dirichlet kernel DN (θ) = N X ikθ e k=−N sin((N + 12 )θ , = sin(θ/2) and define 1 LN = 2π Z π |DN (θ)| dθ. −π (a) Prove that LN ≥ c log N for some constant c > 0. A more careful estimate gives LN = 4 log N + O(1). π2 (b) Prove the following as a consequence: for each n ≥ 1, there exists a continuous function fn such that |fn | ≤ 1 and Sn (fn )(0) ≥ c0 log n. Proof. (a) Z Z Z 1 π sin(N + 12 )θ 1 π 1 1 1 1 π sin(N + 21 )θ | | | sin(N + )θ| | dθ = | dθ + − dθ LN = π 0 sin(θ/2) π 0 θ/2 π 0 2 sin(θ/2) θ/2 1 1 Z N Z 1 2 (N + 2 )π | sin z| 2 X (j+ 2 )π 1 1 = dz + O(1) = | sin z| + − dz + O(1) π 0 z π j=1 (j− 12 )π jπ z jπ N 4 X1 4 = 2 + O(1) = 2 log N + O(1). π j=1 j π (b) Since Dn has finite zeros, Fn (t) := sgnDn (t) has finitely many discontinuities. Note that Sn (Fn )(0) = Ln and we can approximate Fn by continuous function in L1 norm since [0, 1] has finite Lebesgue measure. The desired result follows by noting Dn (0) 6= 0 for all n ∈ N so |Dn | have an uniform bound in every neighborhood of discontinuities of every Fn . 14 Remark 8. In Book IV, Chapter 4, one can combine this problem with Uniform Boundedness Principle to show the existence of continuous function whose Fourier series diverges at a given point, a result will also be proved by an explicit construction of P. du Bois-Reymond (1873) in Section 3.2.2. On the other hand, one can combine this with Open Mapping Theorem to show the mapping f ∈ L1 [−π, π] 7→ {fˆ(n)} ∈ C0 (Z) is not surjective. 3. Littlewood provided a refinement of Tauber’s theorem: P P (a) If cn is Abel summable to s and ncn ≥ −M for all n, then cn converges to s. P (b) As a consequence of Exercise 13(c), we know that if cn is Cesàro summable P to s and ncn ≥ −M for all n, then cn converges to s. Note that another easier proof is also given in Exercise 14(c). These results may be applied to Fourier series. By Exercise 17, they imply that if f is an integrable function that satisfies fˆ(ν) = O(1/|ν|), then: (i) If f is continuous at θ, then SN (f )(θ) → f (θ) as N → ∞ (ii) If f has a jump discontinuity at θ, then f (θ+ ) + f (θ− ) SN (f )(θ) → as N → ∞ 2 (iii) If f is continuous on [−π, π], then SN (f ) → f uniformly. Other proofs for the simpler assertion (b), hence proofs of (i),(ii),and (iii), can be found in my Exercise 2.14 and Problem 4.5 Remark 9. The proof by Wielandt’s method is taken from [3, Section 1.12], I think this book is a great survey of Tauber’s theorem. Remark 10. Another similar result (weaker hypothesis and weaker conclusion) is the Jordan’s test: limN →∞ SN (f )(θ0 ) = f (θ0 +)+f (θ0 −) 2 for f is only monotone (and hence for f is of bounded variation) on a neighborhood of θ0 , which can be proved by Riemann-Lebesgue lemma and second mean-value theorem. See [1, Theorem 1.1.2]. Note that the control of Dirichlet kernel is much difficult than the Fejér kernel, cf. [2, Theorem 3.4.1]. Proof. For every polynomial P (x) = ∞ X n=0 n cn P (x ) = ∞ X n=0 cn m X k=0 Pm k=0 bk x bk x nk = k , m X k=0 15 bk ∞ X n=0 cn x nk → m X k=0 bk · s = P (1)s (3) as x % 1. (The reader should be able to prove the second identity in (3) by − N argument.) Define g(x) = χ[e−1 ,1] (x), that is, the characteristic function of [e−1 , 1] so that for sN = P P∞ −n/N ); To complete the proof that sN → s, we will show below that the n≤N cn = n=0 cn g(e conclusion in (3) is also valid with g instead of P : X X cn g(xn ) ≤ s. s ≤ lim inf cn g(xn ) ≤ lim sup x%1 x%1 To the last inequality of (3), we look for a suitable polynomial majorant P ≥ g for which P (0) = g(0) = 0, P (1) = g(1) = 1. Equivalently, P (t) − t g(t) − t must be a polynomial Q(t) ≥ h(t) = . t(1 − t) t(1 − t) (4) The piecewise continuous function h on [0, 1] looks like the following graph. For 0 < x < 1 it follows from (4) and the condition ncn ≥ −M that ∞ X ∞ X 1 cn g(x ) − cn P (x ) = − cn {P (x ) − g(x )} ≤ M {P (xn ) − g(xn )} n n=0 n=0 n=1 n=1 n ∞ X n X n n ∞ ∞ X X P (t) − g(t) 1−x n n φ(xn ), where φ(t) = ≤M {P (x ) − g(x )} = M (1 − x) . n 1 − x 1 − t n=1 n=1 (5) By (3), the second term in the first member of (5) has limit s as x % 1. Note that the final member in (5) has limit (6) since it can serves as a Riemann sum of that integral under the partition Px∞ = {1, x, x2 , · · · }. (The integrability of φ(t) t is easy to see from Q(t)−h(t). On the other hand, the detail for reducing Px∞ into a finite set as a regular partition is left to the reader, this is not trivial, you need to observe some uniformity or monotonicity.) Z 1 Z 1 Z 1 P (t) − t − (g(t) − t) dt M φ(t) = M dt = M {Q(t) − h(t)} dt. (6) t t(1 − t) 0 0 0 Now for given > 0, Weierstrass’ approximation theorem (WAT) makes it possible to construct R1 a polynomial Q ≥ h such that 0 (Q − h) ≤ . A construction is given in the figure below. (Note that the graph is not accurate due to the author’s poor drawing technique and softwares) 16 For such a Q and the corresponding P determined by (4), it follows from (5), (3) and (6) that lim sup x%1 ∞ X n cn g(x ) ≤ lim x%1 n=0 ∞ X n cn P (x ) + lim M (l − x) x%1 n=0 Z ∞ X φ(xn ) n=0 1 {φ(t)/t} dt ≤ s + M . = P (1)s + M 0 Since was arbitrary, our lim sup does not exceed s. To the first inequality of (3), the method is the same with looking some polynomial Pe ≤ g, Pe(0) = g(0) = 0 and Pe(1) = g(1) = 1. We omit it. References [1] Duoandikoetxea: Fourier Analysis. Vol. 29. American Mathematical Soc., 2001 [2] Grafakos, Loukas: Classical Fourier Analysis. 3rd ed., Springer, 2014. [3] Korevaar, Jacob: Tauberian theory: A century of developments. Vol. 329. Springer, 2004. [4] Rudin, Walter: Principle of Mathematical Analysis, 3rd edition, 1976. [5] Muscalu, Camil, and Wilhelm Schlag: Classical and multilinear harmonic analysis. Vol. 1. Cambridge University Press, 2013. 17